Subject: Re: philosophy question
From: [email-masked] (Geoffrey Noer)

5 Nov 1997 21:25:49 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Content-Type: text
To: [email-masked] (Steven Bellenot)
Cc: [email-masked]

Steven Bellenot wrote:
> 
> I see three directions gnuwin32 could/should go:
> 1. Providing Unix based tools that are usable in win32. How a person
> can live without a reasonable shell, diff, grep and friends ...
> 2. Provide a development environment for the translation of the
> vast freeware of unix to win32.
> 3. Make an environment as nearly unix-like as possible.
> 
> I see some conflict in these goals. For example #1 would make files
> as nearly dos.like as possible while #3 would make the files as
> nearly unix-like as possible.

All three are goals.  The goal of having an environment that's as
unix-like as possible is the one where compromises will happen when
absolutely necessary.

Note that providing a Unix environment for Win32 is not really
something core to Cygnus' plans.  Cygnus' concern is providing quality
Win32-hosted cross-compilers that (eventually) will include an IDE
exhibiting native Win32 look and feel.

But I expect that the quality of the Unix-like environment will
continue to increase over time as people here at Cygnus and people
out on the net contribute to the project.

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".